using Microsoft.Extensions.DependencyInjection;
using Volo.Abp.Domain;
using Yi.Framework.Caching.FreeRedis;
using Yi.Framework.ChatHub.Domain.Shared;

namespace Yi.Framework.ChatHub.Domain
{
    [DependsOn(
        typeof(YiFrameworkChatHubDomainSharedModule),
        typeof(YiFrameworkCachingFreeRedisModule),
        typeof(AbpDddDomainModule)
    )]
    public class YiFrameworkChatHubDomainModule : AbpModule
    {
        public override void ConfigureServices(ServiceConfigurationContext context)
        {
            var configuration = context.Services.GetConfiguration();
            var services = context.Services;
        }
    }
}